Subject: Re: bug#57781: missing wallpaper command

From: Sean Whitton <[email-masked]>
Date: Wed, 14 Sep 2022 10:00:53 -0700

Hello,

On Tue 13 Sep 2022 at 10:41PM -07, Stefan Kangas wrote:

> tags 57781 + pending
> thanks
>
> Felix <[email-masked]> writes:
>
>> I'm not using swaybg but wbg as wallpaper command on wayland which is
>> not yet part of the wallpaper-commands.
>> 'wallpaper-set' works if i evaluate:
>> (add-to-list 'wallpaper-commands '("wbg" "%f"))
>
> Thanks for the bug report!
>
> I've added it now (commit f0798ac13d), could you please test?
>
> To test for Wayland, it only checks if $WAYLAND_DISPLAY is set.
> We could do something more fancy if needed, possibly involving
> loginctl.

Since it's protocol-dependent, I don't know if it will work on anything
other than wlroots-based compositors.  Before relying solely on
WAYLAND_DISPLAY, perhaps we should also check it works with GNOME?

-- 
Sean Whitton